# $Revision: 1.10 $, $Date: 2006/03/29 22:29:28 $
%include	/usr/lib/rpm/macros.php
%define		_class		File
%define		_subclass	DNS
%define		_status		devel
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - Manipulate RFC1033-style DNS Zonefiles
Summary(pl):	%{_pearname} - Manipulacja plikami stref DNS w formacie RFC1033
Name:		php-pear-%{_pearname}
Version:	0.0.8
Release:	4
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	3479d0aee8cc42cd2a811fd3fbc9ef8a
URL:		http://pear.php.net/package/File_DNS/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
Requires:	php-pear-File
Requires:	php-pear-PEAR-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The File_DNS class provides a way to read, edit and write RFC1033
style DNS Zones.

In PEAR status of this package is: %{_status}.

%description -l pl
Klasa File_DNS dostarcza atwego w uyciu sposobu do odczytu, edycji
oraz zapisu plikw stref DNS w stylu RFC1033.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-File_DNS.spec,v $
Revision 1.10  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.9  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.8  2006/02/16 18:56:35  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.7  2005/10/05 20:11:06  glen
- rel 3

Revision 1.6  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.5  2005/09/20 21:57:25  glen
- new pear packaging

Revision 1.4  2004/12/03 22:06:23  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.3  2004/10/31 22:22:38  paladine
- spaces->tabs
- formatting

Revision 1.2  2004/07/11 10:32:57  adamg
- fixed URL
- cut off template changelog

Revision 1.1  2004/07/11 10:27:23  adamg
- new
